Bug 250160 - [NEW PORT] lang/python39
Summary: [NEW PORT] lang/python39
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on: 250200
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-06 14:17 UTC by Wen Heping
Modified: 2020-10-20 07:12 UTC (History)
0 users

See Also:


Attachments
shar file for lang/python39 (502.03 KB, application/x-shellscript)
2020-10-06 14:17 UTC, Wen Heping
no flags Details
diff file for python.mk (1.09 KB, patch)
2020-10-06 14:17 UTC, Wen Heping
no flags Details | Diff
Patch for python-doc-html (2.64 KB, text/plain)
2020-10-08 13:43 UTC, Wen Heping
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wen Heping freebsd_committer 2020-10-06 14:17:14 UTC
Created attachment 218561 [details]
shar file for lang/python39

Here is the new port for lang/python39. It should be repocopied from lang/python38 when committed.

   The python-3.9.0 doc file had not been released upstream.
Comment 1 Wen Heping freebsd_committer 2020-10-06 14:17:57 UTC
Created attachment 218562 [details]
diff file for python.mk
Comment 2 Wen Heping freebsd_committer 2020-10-08 13:43:41 UTC
Created attachment 218610 [details]
Patch for python-doc-html
Comment 3 Wen Heping freebsd_committer 2020-10-08 13:46:28 UTC
If there is no objection, I shall import python39 into portstree this weekend.

wen
Comment 4 Dmitry Marakasov freebsd_committer 2020-10-08 14:13:16 UTC
Nice!

I've switched to 3.9 locally, no problems so far apart from 

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=250200
Comment 5 Dmitry Marakasov freebsd_committer 2020-10-08 14:16:21 UTC
Btw, this is not the first problem related to outdated cython files I've seen, should we maybe introduce a policy so cython using modules must always regenerate their cython files (USE_PYTHON+=cython and ${TOUCH} **/*.pyx)?
Comment 6 commit-hook freebsd_committer 2020-10-12 13:53:36 UTC
A commit references this bug:

Author: wen
Date: Mon Oct 12 13:52:44 UTC 2020
New revision: 552126
URL: https://svnweb.freebsd.org/changeset/ports/552126

Log:
  - Repocopy lang/python38 --> lang/python39 and update to 3.9.0

  PR:		250160
  Submitted by:	wen@(myself)

Changes:
  head/Mk/Uses/python.mk
  head/Mk/bsd.default-versions.mk
  head/lang/Makefile
  head/lang/python-doc-html/distinfo
  head/lang/python39/
  head/lang/python39/Makefile.version
  head/lang/python39/distinfo
  head/lang/python39/files/patch-Modules___posixsubprocess.c
  head/lang/python39/files/patch-Modules_posixmodule.c
  head/lang/python39/pkg-plist